<?php
class InterfaceManager extends ManagerParent { 
public $x_232 = ''; 
protected $x_233 = array( 
'get' => array( 
'interfaces' => 'out', 
'totalItems' => 'out', 
'query' => 'array', 
'sortByGroup' => 'string' 
), 
'create' => array( 
'result' => 'out', 
'interfaces' => 'array', 
), 
'set' => array( 
'result' => 'out', 
'ids' => 'array', 
'details' => 'array', 
), 
'remove' => array( 
'result' => 'out', 
'ids' => 'array' 
), 
'getConnectivityConfig' => array( 
'config' => 'out' 
), 
'setConnectivityConfig' => array( 
'result' => 'out', 
'config' => 'array' 
), 
'dial' => array( 
'result' => 'out', 
'interfaceId' => 'string' 
), 
'hangup' => array( 
'result' => 'out', 
'interfaceId' => 'string' 
), 
'getCertificate' => array( 
'result' => 'out', 
'fingerprint' => 'out', 
'host' => 'string' 
), 
'apply' => array( 
'result' => 'out', 
), 
'reset' => array( 
) 
); 
protected $x_24b = array('entityName'=>webadmin_EntityInterface, 
'tuples' => array( 
array('name' => webadmin_fingerprint, 'kind' => kerio_web_Regex, 'values' => array('/^(((([0-9a-fA-F]){2}):){15})((([0-9a-fA-F]){2}){1})$/')), 
array('name' => webadmin_uuidFormat, 'kind' => kerio_web_Regex, 'values' => array('/^(([0-9a-fA-F]{8})((-[0-9a-fA-F]{4}){3})-([0-9a-fA-F]{12}))$/')) 
), 
); 
public function get(&$x_23x, &$x_23z, $x_248, $x_252) { 
$x_235 = kerio('webadmin::InterfaceManager'); 
if ($x_235) { 
return $x_235->get(&$x_23x, &$x_23z, $x_248, $x_252); 
} 
return false; 
} 
public function create(&$x_232, $x_249) { 
$x_235 = kerio('webadmin::InterfaceManager'); 
if ($x_235) { 
return $x_235->create(&$x_232, $x_249); 
} 
return false; 
} 
public function set(&$x_232, $x_23p, $x_243) { 
$x_235 = kerio('webadmin::InterfaceManager'); 
if ($x_235) { 
return $x_235->set(&$x_232, $x_23p, $x_243); 
} 
return false; 
} 
public function remove(&$x_232, $x_23p) { 
$x_235 = kerio('webadmin::InterfaceManager'); 
if ($x_235) { 
return $x_235->remove(&$x_232, $x_23p); 
} 
return false; 
} 
public function getConnectivityConfig(&$x_253) { 
$x_235 = kerio('webadmin::InterfaceManager'); 
if ($x_235) { 
return $x_235->getConnectivityConfig(&$x_253); 
} 
return false; 
} 
public function setConnectivityConfig(&$x_232, &$x_253) { 
$x_235 = kerio('webadmin::InterfaceManager'); 
if ($x_235) { 
return $x_235->setConnectivityConfig(&$x_232, &$x_253); 
} 
return false; 
} 
public function dial(&$x_232, $x_254) { 
$x_235 = kerio('webadmin::InterfaceManager'); 
if ($x_235) { 
return $x_235->dial(&$x_232, $x_254); 
} 
return false; 
} 
public function hangup(&$x_232, $x_254) { 
$x_235 = kerio('webadmin::InterfaceManager'); 
if ($x_235) { 
return $x_235->hangup(&$x_232, $x_254); 
} 
return false; 
} 
public function getCertificate(&$x_232, &$x_255, $x_23t) { 
$x_235 = kerio('webadmin::InterfaceManager'); 
if ($x_235) { 
return $x_235->getCertificate(&$x_232, &$x_255, $x_23t); 
} 
return false; 
} 
public function apply(&$x_232) { 
$x_235 = kerio('webadmin::InterfaceManager'); 
if ($x_235) { 
return $x_235->apply(&$x_232); 
} 
return false; 
} 
public function reset() { 
$x_235 = kerio('webadmin::InterfaceManager'); 
if ($x_235) { 
return $x_235->reset(); 
} 
return false; 
} 
}; 
?>
